Overview | Modules | Class Hierarchy | Classes | Members

Public Attributes | Protected Member Functions | Friends
tlp::ValArray< TYPE > Class Template Reference

Internal class to access to a stl::vector in VectorGraph. More...

`#include <vectorgraphproperty.h>`

Inheritance diagram for tlp::ValArray< TYPE >:
[legend]
Collaboration diagram for tlp::ValArray< TYPE >:
[legend]

List of all members.

## Public Attributes

- std::vector< TYPE > _data

## Protected Member Functions

- ValArray (const unsigned int size=0, const unsigned int capacity=0)
- virtual ~ValArray ()
- void addElement (const unsigned int id)
- void reserve (const size_t size)

## Friends

- class VectorGraph

## Detailed Description

### template<typename TYPE>
class tlp::ValArray< TYPE >

Internal class to access to a stl::vector in VectorGraph.

Warning:
  never use that class

## Constructor & Destructor Documentation

template<typename TYPE>

tlp::ValArray< TYPE >::ValArray | ( | const unsigned int | size = `0`,
|  | const unsigned int | capacity = `0`
| ) |  | `[inline, protected]`

template<typename TYPE>

virtual tlp::ValArray< TYPE >::~ValArray | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

template<typename TYPE>

void tlp::ValArray< TYPE >::addElement | ( | const unsigned int | id | ) | `[inline, protected, virtual]`

Implements tlp::ValArrayInterface.

template<typename TYPE>

void tlp::ValArray< TYPE >::reserve | ( | const size_t | size | ) | `[inline, protected, virtual]`

Implements tlp::ValArrayInterface.

## Friends And Related Function Documentation

template<typename TYPE>

friend class VectorGraph`[friend]`

Reimplemented from tlp::ValArrayInterface.

## Member Data Documentation

template<typename TYPE>

std::vector<TYPE> tlp::ValArray< TYPE >::_data

TODO

Tulip Software by LaBRI Visualization Team 2001 - 2012